Interface HazelcastQueueEndpointBuilderFactory.HazelcastQueueBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
HazelcastQueueEndpointBuilderFactory
public static interface HazelcastQueueEndpointBuilderFactory.HazelcastQueueBuilders
-
Method Summary
Modifier and TypeMethodDescriptionHazelcast Queue (camel-hazelcast) Perform operations on Hazelcast distributed queue.hazelcastQueue(String path) Hazelcast Queue (camel-hazelcast) Perform operations on Hazelcast distributed queue.hazelcastQueue(String componentName, String path) Hazelcast Queue (camel-hazelcast) Perform operations on Hazelcast distributed queue.
-
Method Details
-
hazelcastQueue
Hazelcast Queue (camel-hazelcast) Perform operations on Hazelcast distributed queue. Category: cache,clustering,messaging Since: 2.7 Maven coordinates: org.apache.camel:camel-hazelcast- Returns:
- the dsl builder for the headers' name.
-
hazelcastQueue
default HazelcastQueueEndpointBuilderFactory.HazelcastQueueEndpointBuilder hazelcastQueue(String path) Hazelcast Queue (camel-hazelcast) Perform operations on Hazelcast distributed queue. Category: cache,clustering,messaging Since: 2.7 Maven coordinates: org.apache.camel:camel-hazelcast Syntax:hazelcast-queue:cacheNamePath parameter: cacheName (required) The name of the cache- Parameters:
path- cacheName- Returns:
- the dsl builder
-
hazelcastQueue
default HazelcastQueueEndpointBuilderFactory.HazelcastQueueEndpointBuilder hazelcastQueue(String componentName, String path) Hazelcast Queue (camel-hazelcast) Perform operations on Hazelcast distributed queue. Category: cache,clustering,messaging Since: 2.7 Maven coordinates: org.apache.camel:camel-hazelcast Syntax:hazelcast-queue:cacheNamePath parameter: cacheName (required) The name of the cache- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- cacheName- Returns:
- the dsl builder
-